Delete a Status list configuration
Roles
Analytics Events
/v2/credentials/mobile/status-lists/configurations/{id}Permanently deletes an existing Status list configuration.
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_START
- MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Status list configuration ID
uuidStatus list configuration ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{
"code": "BadRequest",
"message": "Status list configuration is in use by at least one status list"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a Status list configuration PUT
Updates an existing Status list configuration, allowing you to adjust the expiry and TTL (Time To Live) settings. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_START * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_FAIL
Retrieve all Status lists GET
<Callout type="warning"> **Deprecated.** In line with our SLA, this endpoint will be removed no earlier than 22 September 2026. To discover the Status lists available on a tenant, use the public [Status list distribution](#operation/getStatusListDistribution) endpoint (`GET /v2/credentials/mobile/status-lists/distribution`), which returns the URLs of all Status list tokens on the tenant. To retrieve an individual Status list token, use the public [Retrieve a Status list token](#operation/getStatusListToken) endpoint (`GET /v2/credentials/mobile/status-lists/{statusListId}/token`). </Callout> Retrieves all existing status lists from your tenant. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_START * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_FAIL